function y=uminus(x)
% function y=uminus(x)
%
% unary minus for abstract signals

% written by ameg@mit.edu,  last modified March 10, 2005

global abstract_C;    % state space C
global abstract_D;    % state space D
global abstract_k;    % number of outputs

y=asgn(x.n,abstract_k);
abstract_C=[abstract_C;-abstract_C(x.r+1:x.r+x.n,:)];
abstract_D=[abstract_D;-abstract_D(x.r+1:x.r+x.n,:)];
abstract_k=abstract_k+x.n;