function [y]=newsignal(d)
% function [y]=newsignal(d)
%
% define abstract signal of dimension d

% written by ameg@mit.edu,  last modified March 10, 2005

global abstract_B;
if isempty(abstract_B), error('Run **newmodel** first'); end

d=round(d);
if d<1, error('positive integer argument required'); end

global abstract_B
global abstract_C
global abstract_D
global abstract_n
global abstract_m
global abstract_k

abstract_B=[abstract_B zeros(abstract_n,d)];
abstract_C=[abstract_C;zeros(d,abstract_n)];
abstract_D=[abstract_D zeros(abstract_k,d);zeros(d,abstract_m) eye(d)];
y=asgn(d,abstract_k);
abstract_k=abstract_k+d;
abstract_m=abstract_m+d;