function z=minus(x,y)
% function z=minus(x,y)
%
% z=x-y

% written by ameg@mit.edu,  last modified March 10, 2005

if ~(isa(x,'asgn')&isa(y,'asgn')), 
    error('signal and non-signal addition'); 
end
if x.n~=y.n, error('incompatible dimensions'); end

global abstract_C;    % state space C
global abstract_D;    % state space D
global abstract_k;    % number of outputs

z=asgn(x.n,abstract_k);
abstract_C=[abstract_C;abstract_C(x.r+1:x.r+x.n,:)-abstract_C(y.r+1:y.r+y.n,:)];
abstract_D=[abstract_D;abstract_D(x.r+1:x.r+x.n,:)-abstract_D(y.r+1:y.r+y.n,:)];
abstract_k=abstract_k+x.n;